SAFE unable to connect to Internet because Webview2 runtime "Not installed"

Timaru
Timaru Posts: 1 New Member

I have a Windows 10 Pro laptop fully updated to 21H1. Windows Update does not show an option to get 21H2, perhaps for compatibility reasons.

F-secure safe was downloaded and installed from my F-secure account. A scan was completed successfully. Today I am told my subscription expired and SAFE was not setup properly. Attempting to run set up gives unable to connect. Install Webview2 runtime. I have followed the advice for a manual install of Webview runtime which fails because "Webview2 runtime is already installed on this computer.

I have tried both Edge and Chrome as my default browsers with the same effect.

Is SAFE incompatible with Windows 10 Pro 21H1 computers?

Advice please?

Answers

Pricing & Product Info